package edu.mermet.tp8.fenetres;

import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;

/**
 *
 * @author brunomermet
 */
public abstract class AbstractFenetre extends JDialog {
    private Action action;
    public AbstractFenetre(JFrame frame, Action monAction, String nom) {
        super(frame, nom, false);
        action = monAction;
        this.setDefaultCloseOperation(HIDE_ON_CLOSE);
        this.addWindowListener(new EcouteurFenetre());
    }
    
    private class EcouteurFenetre extends WindowAdapter {
        @Override
        public void windowClosing(WindowEvent we) {
            action.setEnabled(true);
        }
    }
}
